Bug 223917 - API Review: add method to get all dependent roots
API Review: add method to get all dependent roots
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
7.3
All All
: P2 (vote)
: 7.3
Assigned To: Ralph Ruijs
issues@java
: API, API_REVIEW_FAST
Depends on:
Blocks: 223265
  Show dependency treegraph
 
Reported: 2012-12-17 10:47 UTC by Ralph Ruijs
Modified: 2013-01-03 02:39 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed API change (7.32 KB, patch)
2012-12-17 10:49 UTC, Ralph Ruijs
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Ruijs 2012-12-17 10:47:32 UTC
The current implementation of SourceUtils.getDependentRoots filters the result to only contain roots from opened projects. This api adds an overloaded method where you can specify if the results should be filtered.
Comment 1 Ralph Ruijs 2012-12-17 10:49:56 UTC
Created attachment 129444 [details]
Proposed API change
Comment 2 Ralph Ruijs 2012-12-17 10:50:49 UTC
Please review.
Comment 3 Ralph Ruijs 2012-12-21 08:53:54 UTC
If there are no comments, I will integrate the patch at the end of the day. Thanks.
Comment 4 Ralph Ruijs 2012-12-31 09:42:14 UTC
http://hg.netbeans.org/jet-main/rev/584f3dcb83c1
Author:    Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Date:      2012-12-31 10:35
Comment 5 Quality Engineering 2013-01-03 02:39:57 UTC
Integrated into 'main-golden', will be available in build *201301030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/584f3dcb83c1
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: Issue #223917 - API Review: add method to get all dependent roots


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo